From 32fbfac5a1adea92d5ef7eae1feb794744acc127 Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 19/32] Issues: Set title in React


---

diff --git a/hubs/static/client/app/components/WidgetChrome.js b/hubs/static/client/app/components/WidgetChrome.js
index 3c94f64..2cca9d8 100644
--- a/hubs/static/client/app/components/WidgetChrome.js
+++ b/hubs/static/client/app/components/WidgetChrome.js
@@ -15,6 +15,7 @@ class WidgetChrome extends React.PureComponent {
 
   propTypes: {
     widget: PropTypes.object.isRequired,
+    title: PropTypes.string,
     editMode: PropTypes.bool,
   }
   defaultProps: {
@@ -39,7 +40,7 @@ class WidgetChrome extends React.PureComponent {
 
   render() {
     // Make sure there's always a title in edit mode
-    const title = (this.props.editMode && !this.props.widget.title) ? this.props.widget.label : this.props.widget.title;
+    const title = (this.props.editMode && !this.props.title) ? this.props.widget.label : this.props.title;
     let cssClass = `WidgetChrome card widget-${this.props.widget.name}`;
     if (this.props.widget.cssClass) {
       cssClass += " " + this.props.widget.cssClass;
@@ -93,9 +94,10 @@ class WidgetChrome extends React.PureComponent {
 }
 
 
-const mapStateToProps = (state) => {
+const mapStateToProps = (state, ownProps) => {
   return {
     editMode: state.ui.widgetsEditMode,
+    title: ownProps.title || ownProps.widget.title,
   }
 };
 const mapDispatchToProps = dispatch => {
diff --git a/hubs/static/client/app/widgets/issues/Widget.js b/hubs/static/client/app/widgets/issues/Widget.js
index b83bab6..6baecbb 100644
--- a/hubs/static/client/app/widgets/issues/Widget.js
+++ b/hubs/static/client/app/widgets/issues/Widget.js
@@ -40,6 +40,7 @@ export default class IssuesWidget extends React.PureComponent {
 
   render() {
     let content = null;
+    let subtitle = this.props.widget.mode === "author" ? "Tickets I Filed" : "Tickets Waiting on Me";
     if (this.state.isLoading) {
       content = <Spinner className="p-3"/>
     }
@@ -70,6 +71,7 @@ export default class IssuesWidget extends React.PureComponent {
       <WidgetChrome
         widget={this.props.widget}
         editMode={this.props.editMode}
+        title={"Issues - " + subtitle}
       >
         {content}
       </WidgetChrome>
diff --git a/hubs/widgets/issues/__init__.py b/hubs/widgets/issues/__init__.py
index 90118c7..0388121 100644
--- a/hubs/widgets/issues/__init__.py
+++ b/hubs/widgets/issues/__init__.py
@@ -29,8 +29,7 @@ class Issues(Widget):
         if instance is not None:
             hub_name = instance.hub.name
             props.update(dict(
-                title="Issues - " +
-                      ('Tickets I Filed' if instance.config['mode'] == 'author' else 'Tickets Waiting on Me'),
+                mode=instance.config['mode'],
                 urls=dict(
                     data=flask.url_for(
                         'issues_data', hub=hub_name, idx=instance.idx),

